=== debian/changelog ===
smokeqt (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release 
    - drop reduced-linking.diff, applied upstream

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 02 Sep 2011 21:34:42 +0200

smokeqt (4:4.7.0-1) unstable; urgency=low

  * Initial release, split from the kdebindings source.

  [ David Palacio ]
  * Package QScintilla2 binding.
  * Update control:
    - add libsmokeqt4-dbg
    - update Uploaders
    - remove redundant section fields
  * Switch to dh7:
    - clean rules
    - pass --list-missing to dh_install
  * Adapt watch file to the new source name.
  * Adapt Vcs fields.
  * Switch copyright to the DEP-5 format, revision 174.

  [ Pino Toscano ]
  * Update control:
    - libsmokeqt4-dbg: make it break/replace kdebindings-dbg, fix Section
      and Priority
    - improve descriptions
    - require smoke-dev-tools >= 4.7.0, and make libsmokeqt4-dev depend on it
  * Update rules:
    - pass sodeps as dh addon
  * Update lintian overrides.
  * Update copyright.
  * Add patch reduced-linking.diff (committed also upstream) to reduce
    overlinking.

  [ Modestas Vainius ]
  * Remove myself from Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 13 Aug 2011 14:31:25 +0200
