=== debian/rules ===
#! /usr/bin/make -f

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=libsmokeqt4-dbg

#Build-Depend on debhelper (>= 7.4.10) for --parallel
#Build-Depend on pkg-kde-tools (>= 0.6.8) for the sodeps addon
%:
	dh $@ --parallel --with sodeps
