=== debian/changelog ===
smokeqt (4:4.7.4-0ubuntu0.1) oneiric-proposed; urgency=low

  * New upstream bugfix release (LP: #913928)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jan 2012 12:03:58 -0500
