## smokeqt 4.8.2

=== debian/changelog ===
smokeqt (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 20:29:40 +0200

smokeqt (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 00:35:46 +0100

smokeqt (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:23 +0000

smokeqt (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:14:58 +0000

smokeqt (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 23 Dec 2011 21:21:03 +0100

smokeqt (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 20:55:59 +0000

smokeqt (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 01:07:03 +0000

smokeqt (4:4.7.1-1) unstable; urgency=low

  * New upstream release.

  [ David Palacio ]
  * Remove patch reduced-linking.diff, applied upstream.

  [ Pino Toscano ]
  * Generate libraries shlibs based on the current version.
  * Tighten the various libraries dependencies to the current version.
  * Drop version for the smoke-dev-tools dependency of libsmokeqt4-dev;
    the right version will be picked because of the stricter libsmokebase
    (indirect) dependency.
  * Bump the smoke-dev-tools build-dependency to 4.7.1.
  * Manually export CXXFLAGS and LDFLAGS from dpkg-buildflags now,
    as dpkg-buildpackage does not do that anymore.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 24 Sep 2011 14:22:34 +0200
