=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.7.0), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
+ smoke-dev-tools (>= 4:4.8.1), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
  libphonon-dev, libqimageblitz-dev, libqscintilla2-dev
 Standards-Version: 3.9.2
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokeqt
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
+Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokeqt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokeqt.git;a=summary
 
 Package: libsmokeqsci3
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -259,7 +259,7 @@
 
 Package: libsmokeqt4-dev
 Section: libdevel
-Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools (>= 4:4.7.0)
+Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools
 Architecture: any
 Description: Development files for Qt SMOKE libraries
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
