=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: smokeqt
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.8.1), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
+ smoke-dev-tools (>= 4:4.8.4), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
  libphonon-dev, libqimageblitz-dev, libqscintilla2-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokeqt
 Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokeqt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokeqt.git;a=summary
