## smokeqt 4.9.2

=== qtopengl/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,8 @@
     COMMAND ${SMOKE_GEN_BIN}
     ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
          -- ${CMAKE_CURRENT_SOURCE_DIR}/qtopengl_includes.h
-    DEPENDS ${SMOKE_GEN_BIN}  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
+    DEPENDS ${SMOKE_GEN_BIN} "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
+    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
 
 macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )
 
@@ -36,7 +37,18 @@
 
 set_target_properties(smokeqtopengl PROPERTIES VERSION 3.0.0 SOVERSION 3 )
 
-# Don't use the KDE ${LIB_INSTALL_DIR} macro here as this file is
-# for Qt only installs
-install(TARGETS smokeqtopengl DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX} )
+install(TARGETS smokeqtopengl LIBRARY DESTINATION ${LIB_INSTALL_DIR}
+    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
+    RUNTIME DESTINATION bin)
+
+if (WIN32)
+	# Realign the stack, for compatibility with an older ABI.
+	set_target_properties (smokeqtopengl PROPERTIES COMPILE_FLAGS -mstackrealign)
+
+    # Get rid of the "lib" prefix on archives/DLLs in Windows.
+    set_target_properties(smokeqtopengl
+        PROPERTIES PREFIX "" IMPORT_PREFIX "")
+endif (WIN32)
+
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../qtopengl_smoke.h DESTINATION include/smoke)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qtopengl.argnames.txt DESTINATION share/smoke)
