=== debian/changelog ===
smokeqt (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:48:23 +0100

smokeqt (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:48:11 +0530

smokeqt (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:51:22 +0100

smokeqt (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 13 Jun 2012 08:25:06 +0200

smokeqt (4:4.8.80a-0ubuntu1) quantal; urgency=low

  * Sync with debian git
  * New upstream beta release
    - add argument list files to libsmokeqt4-dev

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Jun 2012 13:47:48 +0200

smokeqt (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 13:49:33 +0200

smokeqt (4:4.8.0-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 09 Feb 2012 21:13:59 -0500
