=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: smokeqt
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.8.4), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
+ smoke-dev-tools (>= 4:4.9.2), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
  libphonon-dev, libqimageblitz-dev, libqscintilla2-dev
 Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokeqt
